diff --git a/build.sh b/build.sh
index 5623742..d34ced9 100755
--- a/build.sh
+++ b/build.sh
@@ -211,6 +211,10 @@ case "$IMAGE_TYPE" in
 		fi
 		debug "ver_simple_cdd: $ver_simple_cdd"
 	;;
+	*)
+		echo "ERROR: Unsupported IMAGE_TYPE selected ($IMAGE_TYPE)" >&2
+		exit 1
+	;;
 esac
 
 # We need root rights at some point